> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/accounts/{accountId}/retailers/search

> Searches for retailers associated with the specified account based on provided search criteria



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/accounts/{accountId}/retailers/search
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/accounts/{accountId}/retailers/search:
    post:
      tags:
        - Campaign
      summary: /preview/retail-media/accounts/{accountId}/retailers/search
      description: >-
        Searches for retailers associated with the specified account based on
        provided search criteria
      operationId: SearchAccountRetailers
      parameters:
        - name: accountId
          in: path
          description: The external account identifier
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The maximum number of items to return. Must be between 1 and 10.
            Default is 5.
          schema:
            maximum: 10
            minimum: 1
            type: integer
            format: int32
            default: 5
        - name: offset
          in: query
          description: >-
            The number of items to skip before starting to collect the result
            set. Default is 0.
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
            default: 0
      requestBody:
        description: The search request containing filtering parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValueResourceInputOfRetailerSearchRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EntityResourceCollectionOutcomeOfRetailerResultAndMetadata
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    ValueResourceInputOfRetailerSearchRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceOfRetailerSearchRequest'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    EntityResourceCollectionOutcomeOfRetailerResultAndMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EntityResourceOfRetailerResult'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/Metadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        entities and metadata.
    ValueResourceOfRetailerSearchRequest:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RetailerSearchRequest'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    EntityResourceOfRetailerResult:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RetailerResult'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    Metadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          format: int64
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      additionalProperties: false
      description: Metadata related to the current request.
      nullable: true
    RetailerSearchRequest:
      type: object
      properties:
        retailerIdFilter:
          type: array
          items:
            type: string
          description: Optional list of retailer IDs to filter the results
          nullable: true
      additionalProperties: false
      description: Request model for searching retailers
    RetailerResult:
      type: object
      properties:
        campaignAvailabilities:
          type: array
          items:
            $ref: '#/components/schemas/CampaignAvailability'
          description: >-
            A list of campaign availabilities for the retailer, each of which
            shows the availability of a specific campaign type and buy type
            combination
          nullable: true
        name:
          type: string
          description: Name of the retailer
          nullable: true
      additionalProperties: false
      description: The result of a query for the configuration of a retailer
      nullable: true
    CampaignAvailability:
      type: object
      properties:
        buyType:
          enum:
            - unknown
            - auction
            - preferredDeals
            - sponsorship
            - offsite
          type: string
          description: The buy type this object represents availability for
          nullable: true
        campaignType:
          enum:
            - unknown
            - sponsoredProducts
            - onsiteDisplay
            - offsite
          type: string
          description: The type of campaign this object represents availability for
          nullable: true
        isAvailable:
          type: boolean
          description: >-
            Indicates whether the campaign type and buy type combination is
            available for the retailer
          nullable: true
        validCombinations:
          type: array
          items:
            $ref: '#/components/schemas/PageTypeCombination'
          description: >-
            PageType-PageEnvironmentType pairs which are supported for this
            campaign-buy type combination
          nullable: true
      additionalProperties: false
      description: >-
        Information about the availability of a specific campaign type and buy
        type combination, and page types and environments supported for that
        combination
    PageTypeCombination:
      type: object
      properties:
        pageEnvironmentType:
          enum:
            - unknown
            - web
            - mobile
            - app
            - lockout
            - mixed
            - ios
            - android
          type: string
          description: >-
            The page types which are supported for this campaign-buy type
            combination
          nullable: true
        pageType:
          enum:
            - unknown
            - search
            - home
            - checkout
            - category
            - productDetail
            - confirmation
            - merchandising
            - deals
            - favorites
            - searchbar
            - categoryMenu
          type: string
          description: >-
            The page types which are supported for this campaign-buy type
            combination
          nullable: true
      additionalProperties: false
      description: >-
        Represents a combination of page type and page environment type for a
        specific campaign-buy type.
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````